<?php
namespace AkTest\Db\TableGateway;

use Ak\Db\TableGateway\TableGateway;
use Doctrine\DBAL\Schema\Table;

class MockTableGateway extends TableGateway
{
    /**
     * @param Table $table
     * @throws \Doctrine\DBAL\DBALException
     */
    public function createSchema(Table $table): void
    {
        $table->addColumn('id', 'integer', [
            'unsigned' => true,
            'autoincrement' => true,
        ]);
        $table->addColumn('name', 'string', ['length' => 255]);
        $table->setPrimaryKey(['id']);
    }
}